Upload Picture
curl --request POST \
--url https://scx-sbx.api.jtl-software.com/v1/seller/offer/picture \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/*' \
--data '"<string>"'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/seller/offer/picture"
payload = "<string>"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/*"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/*'},
body: JSON.stringify('<string>')
};
fetch('https://scx-sbx.api.jtl-software.com/v1/seller/offer/picture', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"remoteImage": "a947e0c4-f88f-47bd-afe4-3a11e28c8f85.png"
}{
"errorList": [
{
"code": "VAL100",
"message": "Required field sellerId not found",
"severity": "error",
"hint": "Check the field `sellerId` — it must be a non-empty string."
}
]
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Offer
Upload Picture
deprecated
(This API is deprecated by POST /v1/seller/offer/file)
Supported picture formats are: GIF JPEG PNG SVG
POST
/
v1
/
seller
/
offer
/
picture
Upload Picture
Authorizations
Bearer JWT issued to a seller after they sign up for a JTL-Scx subscription via the JTL
Customer Center. Usage format: Bearer <JWT>.
Body
application/*
Binary product picture file (JPEG/PNG/GIF/SVG) to be uploaded for a product offer.
The body is of type file.
Response
Pictures received
Example:
"a947e0c4-f88f-47bd-afe4-3a11e28c8f85.png"
Was this page helpful?
⌘I